summaryrefslogtreecommitdiff
path: root/distro/ubuntu
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-12-01 20:53:10 -0300
committerPerberos <[email protected]>2011-12-01 20:53:10 -0300
commit916e2eafe251b44f9d0339282f5d00723899caec (patch)
treed650ca8c97d834499ca107a2a59a41c86c1fc4a9 /distro/ubuntu
downloadlibmatekbd-916e2eafe251b44f9d0339282f5d00723899caec.tar.bz2
libmatekbd-916e2eafe251b44f9d0339282f5d00723899caec.tar.xz
moving from https://github.com/perberos/mate-desktop-environment
Diffstat (limited to 'distro/ubuntu')
-rwxr-xr-xdistro/ubuntu/build27
-rwxr-xr-xdistro/ubuntu/postinst9
-rwxr-xr-xdistro/ubuntu/postrm6
-rwxr-xr-xdistro/ubuntu/preinst8
-rwxr-xr-xdistro/ubuntu/prerm11
5 files changed, 61 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..9861954
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# fill it
+pkgname=libmatekbd
+pkgver=2011.10.29
+pkgrel=2
+pkgdesc="MATE keyboard library"
+#depends="libxklavier, mate-conf"
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ ./configure --prefix=/usr --sysconfdir=/etc --disable-static || return 1
+ make || return 1
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh
diff --git a/distro/ubuntu/postinst b/distro/ubuntu/postinst
new file mode 100755
index 0000000..06416a1
--- /dev/null
+++ b/distro/ubuntu/postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+pkgname=libmatekbd
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --install ${pkgname}
+fi
+
+exit 0
diff --git a/distro/ubuntu/postrm b/distro/ubuntu/postrm
new file mode 100755
index 0000000..63a1c18
--- /dev/null
+++ b/distro/ubuntu/postrm
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+
+pkgname=libmatekbd
+
+exit 0
diff --git a/distro/ubuntu/preinst b/distro/ubuntu/preinst
new file mode 100755
index 0000000..e48f7d0
--- /dev/null
+++ b/distro/ubuntu/preinst
@@ -0,0 +1,8 @@
+#!/bin/sh -e
+
+pkgname=libmatekbd
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
diff --git a/distro/ubuntu/prerm b/distro/ubuntu/prerm
new file mode 100755
index 0000000..1b58440
--- /dev/null
+++ b/distro/ubuntu/prerm
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+pkgname=libmatekbd
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
+exit 0